Geoscape3d

Please choose an option from the following list:

Using Geoscape3d

A First Tutorial

Writing Plugins

Registration

Problems with licence keys

---

Geoscape3d online

Geoscape3d forums and tutorials


Using Geoscape3d

There are two distinct areas in Geoscape3d:

  • The Terrain Editor

This is the area where the user can alter the heightmap and therefore build and remove terrain.

  • The Texture Settings

This is the where the user may alter the settings that affect the overall texture that sits on the terrian.

Basics

Geoscape3d allows you to use either grid units or "real" units to enter values for the tools. You will see widgets on the toolbar that look like this:

The "g" stands for grid units. These are the heightmap working units, so 1 grid unit = 1 pixel.

The "h" stands for height units. These are the height working uints.

The "m" stands for "metres", although Geoscape3d allows you to enter scales for how wide, or high, 1 pixel is, so essentially it is more of a "real world" unit that the user can specify. This could be useful if you want to model in your own units. Please see the settings dialog for more information on setting the real world scales..

Standard Data Entry

Geoscape3d uses a standard data entry component.

There are several ways to set the data value:

  • Type the value directly into the box
  • Use the up / down arrows to increment / decrement the current value by a fixed amount
  • Click on the little blue value bar directly underneath the edit box and buttons. This bar shows the percentage of the current value against the full range of values that can be entered into the component.
  • Use the end down arrow to show an interactive slider control that allows the user to specify a percentage of the full range of the component

The component may have a maximum and minimum range that stops you entering a value that is larger / smaller than allowable. In this case, the value will change back to the last known good value after a short period.

The component may also have a convenience range, which sets a range smaller than the allowable range. This is so that the sliders do not offer a large range to the user, but instead move between a generally used and narrower set of values. If a value is typed in above / below that of the convenience range, the sliders will adapt to the new value range and show the current position within that range.


Heightmap

Heightmaps

A heightmap is a convenient way of storing a terrain for a computer program to use. It is a picture that uses the colour at each pixel to define the height of the terrain at that point, which can then be used to generate a three-dimensional model in the right program. Below is an example of heightmaps and how they may be used.

The leftmost image is the heightmap, it is defining a small pointed hillock.

The middle image is taken from Geoscape3d and shows the heightmap lit from a light source in the south-east corner. This can give better visual feedback than the unlit version.

The final image shows how Geoscape3d uses the heightmap to create a three-dimensional terrain.

All the terrain building features of Geoscape3d work on heightmaps. See tools.


Terrain Editor

This is the main window of Geoscape3d and it is separated into several main areas.

  • 2D View / Heightmap
  • 2D Navigation
  • Terrain / 3d View
  • 3D View Options
  • 3D Navigation
  • Texture Controls
  • Toolbar
  • Standard Plugins
  • Project Tree
  • Overview ( Windowed ) Mode
  • Select Toolbar
  • Object Toolbar
  • Saved Points Toolbar
  • Status Bar

Heightmap / 2d view

This panel displays the two dimensional version of the terrain. This is the heightmap where the terrain tools alter the terrain. This view may be altered by the 2d navigation tools detailed below.

2d Navigation

These buttons alter the current view of the heightmap. They allow the user to zoom in or out, move the heightmap around ( Pan ) and reset the view ( Zoom Reset ). If you have a mouse wheel you may also move in / out of the heightmap with it if the cursor is over the heightmap.

Light allows the user to view the 2d view and the window mode overview map with a light source or to see the heightmap unlit. The lit view gives better visual feedback of slopes, but the unlit view shows the pixels as they are. Blue areas in the unlit view are below the zero height mark.

Terrain / 3d view

Geoscape3d uses this panel to show how the current heightmap looks in a three-dimensional view. As the user alters the heightmap, the 3d view updates in real-time allowing instant feedback of changes made to the terrain. While the mouse is over this view, the user may move left ( left cursor ), move right ( right cursor ), forward ( up cursor ) and backwards ( down cursor ).

Camera Modes

There are two distinct camera modes that can be used in Geoscape3d.

  • Free Look - this allows the user to move the camera to any view point over the terrain, by pressing the camera mouse button. The mouse wheel will move the camera view forward and backwards from the current point.

  • Fixed Rotate - this keeps the camera in a fixed location and rotates the terrain around the camera when the mouse is moved and the camera mouse button is pressed. The mouse wheel will move the camera view forward and backwards from the current point.

In either mode press and hold the camera mouse button to allow the user to alter the angle of the current view. Holding the control key down while the left mouse button is pressed activates camera pan mode in X and Y axis. Holding the shift key down while the left mouse button is pressed activates camera pan in the Z axis.

When zooming with the mouse wheel, control will speed up down the rate of movement and shift will decrease it.

The movement on the view may be constrained and configured by various settings. The 3d view can be altered by the 3d view options detailed below.

Click the tool mouse button to run the tool directly on the terrain. This will use the currently selected tool.

The camera mouse button and tool mouse button can mapped to either the left / right or right / left buttons dependant on user preference. Use the settings dialog and edit the Mouse Button Usage to alter this configuration.

3d View Options

These allow the user to alter how the 3d view looks. These are split into various groups

  • Water - toggles the display of the water level at the level specified in the settings dialog.

  • Filter - toggles the filtering of the texture to make it look les "blocky".

  • Detail - toggles on a detail texture that makes the ground look less plain closer up.

  • Textured - shows the 3d view with the current texture on it. If there is no texture generated then, a default grey texture is used.

  • Shaded - shows the 3d view with shaded detail to allow the user to view terrain in a "solid" mode without generating a texture. The light source is the one specified in the texture generation dialog. This allows the user to preview how the shadowing option will affect the terrain texture.

  • Wireframe - shows the view in "see through" mode to allow ease of visualisation when the user manipulates the terrain with the tools. The number of lines drawn is set in the in the settings dialog.

  • Points - shows the view in an alternative "see through" mode using points at the line intersections of the wireframe mode.

Texture Controls

If the project has texture settings Create Texture generates a new texture based on those settings. Without any settings created, this button will take you to the Edit Texture Settings dialog.

3d Navigation

These allow the user to move the current view of the 3d panel around. There are several presets. In addition to this you may specify up to 8 custom viewpoints that allow you to store the current 3d view. Move the camera into the position you wish to store and select View3d|Set Viewpoint and the number you wish to use. You can then quickly naivgate back using the menu or the buttons on the navigation bar. These positions are stored in the gsp file.

Toolbar

This is the area that the terrain tools can be selected from. The bottom area will show various options depending upon which tool is running,

Standard Plugins

Several standard functions are implemented on the plugin menu system. Geoscape3d ships with several standard plugins and these are:

Raise: This will raise or lower the entire heightmap by the specified amount of height units.

Scale: This scales the entire heightmap by the factor specified.

Single Point Edit: This allows the user to edit the height of a single pixel on the heightmap.

Select Height Range: This allows the user to specify a range of heights that will be selected.

If you install more plugins they will appear on the menu system.

Project Tree

This shows the overview of the currently loaded project. Right clicking a node gives various options. Each type of node has various optiuons detailed below.

Heightmaps Node

Only one node exists per project and contains all the heightmap layers in the project beneath it. You may add a new mask layer to the project with the popup menu. You can also edit the texture settings or create texture from this node.

Heightmap Nodes

If there is more than one heightmap in the project you may alter the current heightmap using the Make Current option on the popup menu. The current heightmap is the one shown in the main editor and is highlighted by a green line in the project tree. Being able to see the mask layer in the main editor allows users to work with the terrain tools on that mask.

You may erode the terrain using the erosion tool.

You may Copy the current layer and create a new mask.

You may resize a layer.

You may merge two layers together using boolean operations.

You may delete any mask layer, but this option will be disabled for the main heightmap in the project.

You may preview the effects of the paint tool using the view paint option. This option is disable if there has been no user painting on the texture. You may alter the layer options by using the options... menu item. This option is disabled for the main heightmap as there are no options to edit.

Texture Layer Nodes

The project tree also shows the current texture layers in each heightmap layer. You may edit these layers, but must remember to regenerate the texture before changes can be seen.

Objects Node

This is the root node for all the objects in the current project. You may choose to import a .gof file or export the current objects as a .gof file. You can also clear the objects from the current project. These functions can also be accessed through the File|Objects menu.

Markers

This is the root node for all markers. You may also add a new marker.

Marker Item Nodes

Each node is a separate marker in the project. You may alter the marker properties or remove the marker. You may drag and drop from a marker node on to the terrain and an insert will be generated at the point the mouse button is lifted.

Object Inserts

This is the master node for all object inserts currently in the project

You may add a new insert.

You may add a group.

You may add multiple inserts.

You may hide and show all inserts.

Object Inserts Nodes

Each node relates to a specific object insert within the current project. There are several options available per insert:

You may add an insert as a child of the current insert

You may add a group as a child of the current insert

You may add multiple inserts as children of the current insert

Copy the insert and all of its children. The copied objects are then selected.

You may remove the insert, which deletes the current insert.

Toggle select will select the object if it is currently unselected and vice versa.

Select Children will select all the object's children

Goto Insert will take the camera to the front of the object insert

Hide will make this insert and its children invisible, show will reverse this

You may also edit the properties of the insert

Overview ( Windowed ) Mode

This allows users to work on smaller areas of large terrains to increase performance. Clicking on "Windowed" mode will allow the user to toggle between windowed and non-windowed modes. In windowed mode, a panel showing the whole heightmap is visible and the user see the currently active window within this highlighted by a red rectangle. The user may use the left mouse button to drag this window around. The snap button forces the window to specified points within the heightmap allowing editing of neighbouring areas with no overlap. The size of the window can be altered using the size dropdown list. Selection will be reset by toggling of windowed mode.

Saved Points Toolbar

To record a set of points click the red record button. Run any of the terrain editing tools, you may run more than one, and when you have edited the points you wish to save click the black stop button. The saved points dialog will appear and you may specify a name for this set of points. The saved point groups dialog may be accessed through "... button" next to the point list drop down list. This dialog allows the user to edit and remove saved point groups.

To run a tool on a saved point group, select select the required group and then activate the required terrain tool. Press the green play button to run the currently selected tool on this group.

Point groups make it easy to run tools on a specified area of the terrain. The groups can be used on different heightmap layers. You may create a saved points group in the main layer and apply effects to a separate mask layer using the group.

Example

To texture a road:

1) Load an existing terrain

2) Start recording points

3) Run the road tool and create a road in the terrain, then stop recording and save the points as "Road1"

4) Create a new mask on the project overview by clicking on the "height maps" node and right clicking and selecting the "add" menu option.

5) Make sure the mask is the currently selected heightmap and select the build tool from the toolbar. Select the "Road1" points list and press play. This runs the build tool on the points you used to create the road, but in the mask layer.

6) Select the smooth tool and press play once more. This will smooth out the mask.

7) Add texture layers to your mask layer and then generate your texture. The mask will texture the road that you just created.

Select Toolbar

The select toolbar holds all the tools for altering the current selection.

Object Toolbar

The object toolbar holds all the tools for editing objects.

Status Bar

This displays the current point the cursor is over in the terrain, the size of the current heightmap, whether the project needs saving ( a disk icon means the project has changed and needs to be saved ) and, if the help string exists, the text associated with the Windows control the cursor is over.


New File

This dialog allows the user to specify all the appropriate values for creating a new Geoscape3d project. This dialog remembers the last settings entered for the user's convenience.

Size

Predefined Size: this gives the user the option to select from a commonly used set of sizes

Custom Size: this allows the user to specify the height and width of the heightmap

X: specifies the width of the heightmap

Y: specifies the breadth of the heightmap

Lock Aspect Ratio: keeps the aspect ratio of the current heightmap

Current: places the current width and breadth values into the appropriate X and Y edit boxes

Units

Output texture size: Sets the resolution of the generated texture. The larger this is the better the quality of the output, but the longer it takes to generate.

Height Scale: This is how many "real world" units there are in one height unit.

Tile Size: This the width of the landscape tile in "real world" units.

Water Height: How high the water will appear on the landscape tile in "real world" units.

A summary of the units is presented.

Objects

Clear Current Objects: when checked, removes all existing objects in the current project before creating the new project. If this is unchecked, existing objects are copied into the new project.

Auto Generation

This specifies whether to automatically generate and texture in the newly created project.

Auto Terrain and Texture: a blank terrain is created and then the Auto Terrain tool is run

Auto Texture: a blank terrain is created, but the user is given the option to select from the preset texture settings.

None: only a blank terrain is created


Importing

Geoscape3d allows several ways to import data into a project.

Import RAW: Loads a terrain from a RAW file. Select a raw filename, the width of the heightmap and the format the data points are in, then press the ok button to import the data. Combine Method specifies how the raw file will be applied to the current heightmap. The following options are available:

  • Replace: removes the existing heightmap and then copies the RAW file into the main editor.
  • Add: adds each pixel in the RAW file to the corresponding pixel in the existing heightmap.
  • Subtract: subtracts each pixel in the RAW file to the corresponding pixel in the existing heightmap.
  • Average: averages between each pixel in the RAW file and the corresponding pixel in the existing heightmap to produce the final pixel result.

Import Terrain from Bitmap: Loads a terrain from a selected bitmap source. Since the height range is only from 0-255, setting the height scale in the settings dialog to 1.0 will import the heights in the bitmap at reasonable values.

In addition, the user may also write import plugins that import data from custom sources.


Exporting

Geoscape3d allows several ways to export data from a project. The user may export both the terrain and the texture.

Export Heightmap: Saves the terrain as a signed 16 bit integer RAW file.

Export Texture: Saves the texture as a bitmap

Export Mesh: Saves the terrain and texture in various formats. This is controlled by the export mesh dialog.

Export Terrain as Bitmap: Saves the terrain as a bitmap.

In addition, the user may also write export plugins that export data to custom formats.


Mesh Exporter

This dialog allows the user to export the current terrain and texture in various mesh formats. The terrain can be broken into tiles so that the generated files are smaller. Pressing the ok button allows the straight export, without optimisation of the mesh.

The exported files append a number running sequentially from 1 to the number of tiles in the grid ( running in the x and then y axis ), to the base name. Each tile will have a texture associated with it, using the same numbering system. For example,

base name = "myMesh"

number in X = 2

number in Y = 2

Mesh Type = .X files

Texture file type = jpg

Output will be myMesh1.x and myMesh1.jpg, myMesh2.x and myMesh2.jpg, myMesh3.x and myMesh3.jpg, myMesh4.x and myMesh4.jpg.

Options

Number in X: the number to tiles to separate the terrain into on the x axis.

Number in Y: the number to tiles to separate the terrain into on the y axis.

Samples per tile X: the number of samples to take along the x axis per tile.

Samples per tile Y: the number of samples to take along the y axis per tile.

Total mesh width: the width in mesh ( external co-ordinate system ) units.

Base Name: the name the tiles use to append numbers to for the exported files.

Output folder: the folder the exported files will go into.

Texture file type: select which file type the tile textures will be exported to.

Mesh Type: select the desired output mesh type.

Texture Resolution X and Y: specify the resolution of the texture files per tiles.

Output Normals: place vertex normal information into the exported mesh files, if supported.

Is seamless tile: specify that the edges of the terrain match up, creating an infinite landscape.

Centre on Origin: when unchecked, place the bottom left of the mesh at the origin. When checked place the centre of the mesh at the origin.

Optimise

The user can also optimise the mesh within Geoscape3d. This can be achieved automatically by pressing the optimise button at the bottom of the dialog.

Edge spacing X and Y: This specifies to keep vertices at regular intervals along the mesh. This means the tiled meshes will join up with one another without noticeable gaps in joins being created by the optimise process.

Preview Options

The navigation of the 3d view is similar in operation to the main editor. You may navigate around the mesh preview using the two camera modes, Free Look and Fixed Rotate. Also, you can move the view to selected positions using the Above, North, East, South and West.


Optimise Mesh

This dialog allows the user to interactively reduce the number of vertices in the exported mesh. The user is provided with visual feedback by the preview. This enables the user to see the effect of the optimisation. You may move the camera around in the 3d preview around and zoom in and out, see the terrain editor dialog for a description of controls.

When the export is pressed the mesh is exported at the number of vertices specified in the Number of vertices edit box.

This dialog can be pinned open by clicking on the pin icon at the bottom of the dialog, which stops the dialog closing when the export button is pressed and allows the user to export the same mesh at different levels of detail quickly.

Optimisation

Optimisation slider: Allow control over the number of vertices in the preview. It is initially set to export at 10% of the total number of vertices.

Number of vertices: shows the number of vertices currently showing in the preview. Type in a number to set the number of vertices.

Wireframe: when checked shows the terrain in wireframe mode, when unchecked the terrain texture is shown in the 3d preview.

Base Name: the name the tiles use to append numbers to for the exported files.

Output folder: the folder the exported files will go into.

Texture file type: select which file type the tile textures will be exported to.

Mesh Type: select the desired output mesh type.

Texture Resolution X and Y: specify the resolution of the texture files per tiles.

Output Normals: place vertex normal information into the exported mesh files, if supported.

View Mode

The user may view the entire terrain or see individual tiles. Showing all the tiles is the default viewing mode, but for large exports the view may default to the single tile mode.

All Tiles: Shows all the tiles in the preview.

Single Tile: Shows the tile specified by the Tile X and Tile Y edit box values.


Merge

Merge Heightmaps

This dialog allows the user to merge together height values in two heightmaps.

Destination Heightmap: the result of the merge will appear in this heightmap.

Destination Height Scale: displays the current height scale for the destination heightmap.

Source Heightmap: the source of height values to merge into the destination.

Destination Height Scale: displays the current height scale for the source heightmap.

Merge Method: specifies how the height values will be merged. Choose from:

  • Replace - replaces all the heights in the destination with ones from the source
  • Add - adds all the heights in the source with ones from the destination
  • Subtract - subtracts all the heights in the source with ones from the destination
  • Average - averages the height values from the source and destination heightmaps and places those into the destination heightmap

Relative Height Scale: when unchecked this shows the current relative height scale between the source and the destination heightmaps. When checked, the user can specify the relative height scale they wish to use when merging the heightmaps.


Saved Points Group

The saved points function allows the user to save a set of points that can then be affected by subsequent tools. In other words, this allows users to save an edited set of pixels that can then be "replayed" with other tools. The saved points groups are saved with the project.

The Saved Points Group dialog allows you to rename the name of a saved points group or delete them from your project.


Erosion

This dialog allows the user to setup the various options for eroding the current heightmap. The erosion tool can erode the current terrain or just create erosion and deposition heightmaps that the user can then manually merge or use to texture the terrain. Using erosion and deposition maps as texture masks can lead to some very elaborate texturing on the final textures.

Erode Terrain: if checked will apply the erosion heightmap to the current heightmap

Erosion Mask Layer: if checked, will erode the current heightmap based on the settings in this dialog and place the erosion values into the specified layer

Use New Layer: if selected, will create a new layer as specified in the Layer Name edit box.

Use Existing Layer: if selected, will place the erosion values into the specified layer

Deposit Mask Layer: if checked, will erode the current heightmap based on the settings in this dialog and place the deposition values into the specified layer

Use New Layer: if selected, will create a new layer as specified in the Layer Name edit box.

Use Existing Layer: if selected, will place the deposition values into the specified layer

Erosion Type: select either fluvial ( water-based ) or thermal to generate the required type of erosion.

No. of Iterations: sets the number of passes the erosion is calculated over.

Pixel Probability: specifies the likelihood that the erosion will take place on each pixel

Strength: sets the strength of the erosion per pixel per iteration

Deposit Angle: specifies the angle of the slope at which the deposits will fall away from each pixel.

Use Selection Mask to control start of erosion path: applies the erosion only from the pixels currently selected, which allows the user to tightly control the flow paths of the erosion. This option applies to Fluvial erosion only.

Smooth: when checked, performs a smoothing filter on the resultant heightmaps before eroding the terrain. The strength of this smoothing is defined in the Smooth Strength edit box.


Settings

This dialog allows you to alter the general settings for Geoscape3d. Below is a list of meanings for the various settings.

Textures / Units

Texture Path: This is the default folder where Geoscape3d will look for textures when adding a texture layer.

Output texture size: Sets the resolution of the generated texture. The larger this is the better the quality of the output, but the longer it takes to generate.

Height Scale: This is how many "real world" units there are in one height unit. This will set the value for the current heightmap. Other heightmap layers may have their own independent height scales.

Tile Size: This the width of the landscape tile in "real world" units.

Water Height: How high the water will appear on the landscape tile in "real world" units.

Details: A summary of the various scales.

Detail / Water Textures

This section allows the user to configure which textures are used for the detail texture and the water texture in Geoscape3D. Click the ... button to select a file for use with the appropriate section. This file has to be placed in or below the folder specified by the Texture Path in Texture / Units section. The user may specify the Texture Scale for each type. A texture scale of 1 maps the texture once to the entire of the terrain. The larger the number the higher the number of times the texture is tiled.

User Interface

Levels of Undo: This specifies how many operations can be undone / redone in a row. So, if this is set to five, the sixth operation will remove the first operation from the undo list, so it cannot be undone anymore. The larger this number, the more memory that is needed to store the undoable operations, so be careful setting this.

Tools use all pixels between mouse points: This makes the tools work in a "continuous" mode. In this mode, when the mouse is dragged, all the pixels are set to the brush values creating "smoother" terrain, as opposed to only being altered at set intervals, creating more "bumpy" terrain.

3d Settings

3d Marker Size: This specifies the height of the marker in the 3d view. The larger the value the higher the marker. This marker is at the centre of any brush.

3d Marker Colour: This specifies the colour of the 3d marker.

Show Brush width in 3d: When this option is checked, the 3d marker is surrounded by the size of the current brush.

Background Colour: This specifies the background colour drawn behind the landscape tile.

X Sample Step: This specifies how often lines in the x axis are drawn in wireframe mode.

Y Sample Step: This specifies how often lines in the y axis are drawn in wireframe mode.

3D Select Area Colour: Specifies the colour of the 3d view selection marker.

3D Select Marker Height: Specifies the height of the 3d view selection marker.

Camera

Un-constrained position: The 3d view will allow you to move to any position. This means you go underneath the landscape tile.

Keep above the ground: The 3d view will allow you to move to any position above the landscape tile.

Keep a fixed height above the ground: The 3d view will keep a specified distance above the landscape tile when you move.

Field of view: The angle of view that the camera has in the the 3d view.

Mouse

Invert mouse up/down: Reverses the movement of the mouse in the three dimensional preview. When unchecked, moving the mouse up while the left mouse is held down in the 3d view, the camera angle moves upwards and vice versa. When checked, moving the mouse up while the left mouse is held down in the 3d view, the camera angle moves downwards and vice versa.

Invert mouse wheel: Reverses the direction of travel the mouse wheel moves in the three dimensional preview. When unchecked, pushing the wheel forward moves the camera forward and vice versa. When checked, pushing the wheel forward moves the camera backward and vice versa.

Rotate Sensitivity: Determines how quickly the 3d view rotates when the left mouse button is held down and moved. The lower the value the less the movement per mouse move.

Zoom Sensitivity: Determines how quickly the camera moves forward and backwards in the three dimensional view when the mouse wheel is rotated or the control key and the left mouse button are held down . The lower the value the less the movement per wheel move.

Pan Sensitivity: Determines how quickly the camera 3d view pans when the camera is in pan mode ( shift key and left mouse button held down ). The lower the value the less the movement per mouse move

Mouse Button Usage

This setting defines how the mouse buttons affect the 3d view in the main heightmap editor. The two options are:

Left mouse controls camera, right button tools

Left mouse controls tools, right button camera

Objects

Object Repository: this is the base folder that Geoscape3d uses to reference 3d mesh files.

Limit View Distance: This affects how objects are shown on the three-dimensional preview. To limit how far the objects can be seen from the camera, enable and enter a specified Distance.

To enable fogging to occur at the specified view distance, enable View Distance Fogging.

Object Text

Text Colour: the colour the object Text is drawn on the 3d preview.


Resize Heightmap

You can choose from a pre-defined list of square tile sizes or specify a custom size. Please note that the larger the heightmap the greater the load on system memory. With very larges size heightmaps, you may suffer some performance issues. One option to bear in mind is that if you need a large heightmap it may be better to build it from sub-tiles. For example, if a 1024x1024 heightmap is needed, try creating four 256x256 tiles instead or use the windowing mode.

Predefined Size: this gives the user the option to select from a commonly used set of sizes

Custom Size: this allows the user to specify the height and width of the heightmap

X: specifies the width of the heightmap

Y: specifies the breadth of the heightmap

Lock Aspect Ratio: keeps the aspect ratio of the current heightmap

Current: places the current width and breadth values into the appropriate X and Y edit boxes

When you resize the heightmap, you can specify a resize mode that resamples the existing terrain to the newly specified size. Resampling refers to changing the pixel dimensions (and therefore display size) of an image. When you downsample (or decrease the number of pixels), information is deleted from the image. When you resample up (or increase the number of pixels), new pixels are added based on height values of existing pixels. You specify an Resample Mode to determine how pixels are added or deleted.

These following options can be selected from the:

  • Nearest - quickest
  • Bilinear - medium quality, but slower that Nearest
  • Bicubic - slowest, but best quality
  • Crop - this will extend or reduce the size of the heightmap. It will perform no resampling, but instead will resize the heightmap to the new size specified by the user. The heightmap is extended from the top left corner and reduced towards the same corner.


Texture Settings

This dialog controls the generation of the texture for the landscape. The texturing engine works on the principle of layers.

There are two types of layer:

  • Heightmap Layers - the terrain from the editor and "mask" layers that allow different texturing of areas.
  • Texture Layers - settings for an image and how that is applied to its specified heightmap.

N.B. You must press Generate Button at the top of the dialog to actually create a texture in this dialog.

Texture Layers

These texture layers combine to create the overall texture. You can see an example of layers in the dialog below.

There are 10 layers in this project. Each layer is associated with a texture image and has a height range. The height range specifies where in the overall texture when it is generated the layer texture is used. The heights are based on the terrain in the heightmap. You can see that texture layers may be overlapped. The height range runs from -1 to 1. Highlighting a texture layer in the list gives a view of the image associated with the layer. Pressing the preview button gives you an visual guide of how the layer will affect the overall texture. Selecting multiple layers and pressing the preview button shows how the selected layers will combine. You can also view this in a 3d preview accessible from the preview dialog. The checkbox next to a layer signifies whether the layer is enabled or disabled layer. Disabled layers take no part in the generation process. The user may quickly turn on and off the layers by clicking on the checkbox.

Pressing change or add in the layer section, brings up the layer edit dialog.

Layer Options

Height Scale: This is how many "real world" units there are in one height unit.

Tile Size: This the width of the landscape tile in "real world" units.

Water Height: How high the water will appear on the landscape tile in "real world" units.

Details: A summary of the various scales.

The values above are also editable in the settings dialog available from the main dialog.

Height Normalisation

The layers use a normalised height scale that runs from -1 to 1. -1 is the lowest value of the current heightmap and 1 is the highest value of the heightmap.

If you wish to specify a maximum height for the highest value instead of retreiving this from the current heightmap, select the Use Explicit Value and enter the specified height. This is useful if you are creating several heightmap tiles and wish to use the highest value from the one of these to generate the textures on all the others, so all the generated textures are uniform.

Texture Preview

This panel allows the user to preview the current heightmap layer. Please see the Heightmap section for more information.

Generate: Create a preview of the current heightmap layer.

Save: Save the preview file to disk.

Stop: Stop the generation of a layer.

Heightmap Layers

There is always a mimimum of one heightmap layer. This is the heightmap generated in the terrain editor. The user may add additional masks to add specific areas that are textured differently from the rest of the heightmap. Each layer may have many texture layers.

Create Mask: Adds a new heightmap layer.

Edit Mask: Edits the currently selected heightmap layer.

Options...: Edits the blending options for the current mask.

View Paint...: shows the texture painted on the terrain for that layer by the paint tool.

Delete Mask: Removes the currently selected heightmap layer.

Import: Allows the user to import a .gts file which contains a list of texture layers. This will add to the existing texture layers in the current heightmap layer.

Export: Allows the user to export the texture layers of the current heightmap layer.

Lighting

Check the lighting option if you wish to light the generated terrain.

Light Direction: Allows the user to specify the light direction using x, y, z values. This can also be set by the sun position box.

Sun Direction: Click on the X, Z box to specify the direction of the light source. Use the Y to specify the height on the conceptual skydome.

Light Influence: Specifies how strong the light source is. Left is less powerful, right is more.

Shadows: Toggles whether overall texture has shadows placed on it based on the position of the light source.

Soft boundaries: When checked this softens ( smoothes ) the edges of the shadows on the texture. The user may specify the amount of softness using the slider.

Options

Output texture size: Sets the resolution of the generated texture. The larger this is the better the quality of the output, but the longer it takes to generate. This is also editable in the settings dialog available from the main dialog.

Show Progress: toggles whether the generation process outputs the preview bitmaps to provide visual feedback. Unchecking this box will increase the speed of the texture generation.

Overall Texture

This is the area to generate the texture for the landscape.

Generate: Generate all texture layers and merge them together into one overall texture.

Save: Save the generated texture to disk.

Stop: Stop the generation of the texture.

3d view: Preview the texture before returning to the terrain editor dialog.


Texture Creator

This dialog allows users to create textures using fractal algorithms that can subsequently be used in the Texture Settings or saved for external use.

General

The options that are available all the time the dialog is open.

Zoom Reset: Use this to fit the texture preview into the preview window. The mouse wheel will allow zooming in and out on the texture.

Export: This allows the user to save the current texture to disk.

Generate: Rebuilds the texture based on the current settings. Pressing F5 also does the same.

Presets

Presets allow the user to store a set of texture settings so that the same texture may be regenerated again. Choose from the preset list and press the load button or double click the item in the list to select that setting. This will also generate a preview of the texture.

Use the delete button to remove a setting.

Bitmap Size: specifies the width and height of the generated texture.

Parameters

Name: The name of the current settings selected.

Save: Lets the user save the current settings into the preset list. The user must specify a name. If the user has already selected a preset, keeping the name the same will overwrite the setting of the same name with the current settings in the dialog. The dialog will remember the last settings used even if they are not saved.

Noise Type: Each type changes the algorithm that generates textures. The following types are available:

  • Smooth( Perlin )
  • Multi-Fractal
  • Turbulence
  • Ridged MF
  • Fractal Sum

Seamless Tile: When checked, if you place the texture next to itself there will be no discontinuity between the shared edge.

Scale X: The larger the scale the more condensed the features are on the texture.

Scale Y: The larger the scale the more condensed the features are on the texture.

Shift X / Shift Y: To allow the user to create very large seamless textures, whose values at the edges match with the edges of the "neighbouring" tile. You can specify a notional "grid" position. So ( 0,0 ) will match to ( 0,1 ), ( 1,0 ) and so on.

Random Seed: Changing this alters the base value the texture is generated from and therefore alters the generated texture totally.

Displacement: Affects the severity of ridges. Smaller numbers mean smoother textures.

Advanced: Takes the user to the advanced settings for the texture generation.

Advanced

These settings provide an extra level of control over the generator algorithms. Although a knowledge of Perlin Noise would be useful to understand how these settings work, it is not required to use the dialog.

Frequency: 1/ wavelength of the noise waves.

Persistence: A single number used to specify the amplitude of each frequency.

Octaves: The number of noise waves.

Offset: Determines the strength of the "multifractality".

Ridge Size: ( Ridged MF only ) The larger the number, the more ridges become pronounced.

Colours

This specifies the colours used in the current texture. The order of the colours is important. This can be altered using the up / down arrows on the right of the list to move the currently selected colour up or down. Click on the list to select a colour. The selected colour is highlighted with a blue rectangle.

Add: Adds a new colour to the list.

Change: Edits the currently selected colour from the list;

Delete: Removes the currently selected colour from the list.

Lighting

Check the lighting option if you wish to cast a light on to the texture.

Light Direction: Allows the user to specify the light direction using x, y, z values. This can also be set by the light position box.

Sun Direction: Click on the X, Z box to specify the direction of the light source. Use the Y to specify the height on the conceptual skydome above the texture.

Light Influence: Specifies how strong the light source is. Left is less powerful, right is more.

Colour: Shows the colour of the light source. This can be altered by pressing the ... button to select a new colour.


Texture Layers

This dialog allows the user to configure the settings of a texture layer. The options are detailed below.

General

Name: Name of the layer that appears in the list.

Enabled: When unchecked, stops the layer being used in the final texture.

Update Preview: Gives immediate feedback of how the texture will affect the overall layer.

Texture

Load Texture: Allows the user to select an image file to use with this layer.

Save Texture: Allows the user to save the current image file to disk.

Create Texture: This allows the user to generate a texture for use with this layer.

Seamless Texture: Modify the current texture to the make seamless texture dialog.

Solid Colour: specify a solid colour to use instead of a texture.

Auto-scale: Determines the best scale to use for each texture.

Manual Scale: Allows the user to manually alter the scale of the texture.

Overall Weight: Determines how much the texture will influence the overall texture. 0 means no influence, 1 means full influence, linearly scaled.

Angle: Specifies the angle of the texture in the layer.

Settings

Height

Altitude Constraints: Checking this makes the layer only affect the overall texture for a certain range of heights in the terrain, otherwise the texture affects the whole height range. The heights are in the range of -1 to 1. 0 is the zero ( base ) level of the heightmap. -1 is the lowest height. 1 is the highest part of the terrain.

Min: The minimum height affected by the texture.

Max: The minimum height affected by the texture.

Blend Fn: Specifies how this layer will blend with other layers at the edges of the layer's influence. The options are:

  • Flat: blends the same across the height range.
  • Gradient Up: blends progressively in a linear fashion up to the maximum height.
  • Gradient Down: blends progressively in a linear fashion up to the minimum height.
  • Hump: blends more strongly in the top of the height range.
  • Trough: blends more strongly at the lower values of the height range.
  • Curve Up: blends progressively in a curve up to the maximum height.
  • Curve Down: blends progressively in a curve down to the minimum height.
  • Line Hump: blends more strongly in the top of the height range falling off linearly to the edges.
  • Line Trough: blends more strongly at the lower values of the height range falling off linearly to the higher values.
  • Random Edge: blends with random noise. The higher the blend parameter the more noise is added to the layer.

Blend Param: For some blend functions, you may specify the strength of the blending effect. Lower is less effect. For example, for hump, the minimum setting removes the hump function.

Slope

Slope Constraints: Checking this makes the layer only affect the overall texture for certain slopes on the terrain. This is useful, for example to keep "water" textures away from cliffs and steep slopes that water would run off.

Min: The minimum value for the slope from 0 to 90 degrees.

Max: The maximum value for the slope from 0 to 90 degrees.

Blend Fn: See the height range blend function description above.

Blend Parameter: See the height range blend parameter description above.

Aspect

This is useful to limit a layer to a particular direction and arc of effect. For example, if you wish to model drifted snow you may wish to limit it to the northern slopes where the sun would not fall.

Aspect Constraints: when checked, specifies the direction and arc of influence the texture will have.

Direction: the angle the aspect is calculated from

Angle Range: the angle of the arc that the texture layer will affect.

Blend Fn: See the height range blend function description above.

Blend Parameter: See the height range blend parameter description above.


Hand Painted View

This dialog shows the total effect of the paint tool for the specified heightmap layer. Each heightmap layer has a separate paint layer which is merged into the final texture. You may clear the heightmap layer handpainted texture by pressing the clear button.


Mask Editor

The mask editor allows the user to specify regions of the main heightmap. These can then be textured differently in the texture generator dialog.

Viewing Tools

Pan: Move the heightmap with the left mouse button when this is active.

Extents: Zoom to fit the heightmap to the window.

Zoom In: Increase the zoom level. This allows more accurate selection of regions on the heightmap.

Zoom out: Decrease the zoom level.

The mouse wheel will also perform zoom in / zoom out functionality.

No Water: Show no water

Water: Show the pixels covered by water.

Underwater: Show the regions underwater.

Main View: Shows the selected regions in yellow of the mask on top of the main heightmap.

Result View: Shows the selected regions of the mask only.

Mask Editing Tools

The following tools allow the user to select various areas of the heightmap for inclusion in the mask heightmap layer. The allow several modes.

Height Modes

Absolute Height: when the pixels are selected, the mask contains the values at the specified height from the entry field.

Copy Height: when the pixels are selected, the mask contains the values copied from the heightmap plus the adjustment value.

Undo: Allows the previous action to be undone.

Redo: Allows the previous undone action to be reapplied.

Tools

Freehand: Select pixels by holding down the left mouse button and moving the mouse. The amount of pixels selected is specified in the line thickness entry field.

Lines: Press the left mouse button and hold then move the mouse the generated line will show on the view. Release the mouse button to confirm the line position. The width of the line is specified in the line thickness entry field.

Closed Shape: Press the left mouse button and hold then draw around the shape you wish to enclose with the mouse. Release the mouse button to add the shape to the mask. The tool will automatically close the shape by drawing from the first position to the last position, so the user does not have to worry about getting back the exact start pixel. All the pixels within the shape will be selected based on the current tool height mode.


Edit Heightmap Layer

This dialog allows the user to edit the layer properties and the options that specify how the mask combines its texture with the overall texture.

Name: Edit the name of the layer.

Save As RAW: Allows the user to save the current mask as a RAW file. This can be imported into the main editor for further editing.

Save As Bitmap: Allows the user to save the current mask as a bitmap file. This can be imported into the main editor for further editing.

Combine Options

These specify how the mask affects the overall texture.

Making Texture: Allows several options

  • Replace - places the pixels in the overall texture with the ones from this layer.
  • Add - adds the pixels in the overall texture with the ones from this layer.
  • Average - averages the pixels in the overall texture with the ones from this layer.
  • Ignore - keeps the pixels in the overall texture. Effectively disabling this mask.
  • Blend - creates a smooth blend on the overall texture of the existing texture and the mask texture based on the intensity of the pixel in mask layer. The higher the intensity, the stronger the mask pixel is applied to the overall texture.

Transparency: The user can specify a colour in the mask that is transparent allowing the pixels in original heightmap texture layer to show through.


Seamless Bitmap

This dialog allows the user to make a normal texture into a seamless texture by blending the edges. The left hand panel shows the original texture. You may select sub regions of this by clicking and dragging the mouse over this image. This defines a crop area; this becomes area to be used to make the seamless image. You may clear this crop by pressing the Clear Crop button.

The right hand panel shows a preview of the seamless bitmap. To see the preview tiled in a window, press the Test button and this will give you a good visualisation how well the seamlessness works for the texture.

The overlap slider determines how much to overlap and blend the edges of the source image.

You may save the seamless texture back to disk using the export button.


Preset Terrain Textures

Preset Terrain Textures allow the current project to be quickly set up for texturing using a set of saved texture layers and lighting information.

This dialog allows the user to setup a set of pre-defined texture settings which can be quickly applied to a Geoscape3d project. This can be achieved both by using this form or using the Auto Terrain tool and specified one of the preset terrain textures in that dialog.

Category: choose the appropriate category from the list to display the Preset Terrain Textures associated with that category. To edit the categories, press the ... button next to the category list.

Preset Textures List

This list shows the current Preset Terrain Textures for the specified category. You may add, change and delete Preset Terrain Textures from this list.

Preview: if checked, every time a new item is selected in the list a two-dimensional preview of the texture that would be generated should that Preset Terrain Texture be selected.

Create Button: press to copy the settings from the currently highlighted Preset Terrain Texture into the current project.

N.B. Selecting a Preset Terrain Textures will overwrite the current texture layers that existing in the current project.


Preset Terrain Texture Categories

This dialog allows the user to maintain the categories that are used to categorize terrain texture settings. The user may add, change and delete these groups.

Deleting a group will remove all the preset texture settings within it.


Preset Terrain Texture Settings

This dialog allows the user to specify a set of texture layers and lighting options that will make up a Preset Terrain Texture. It provides a simple way to create terrain textures.

Name: the name of this preset terrain texture.

Description: a brief description of to describe the preset terrain Texture.

Layers: This allows the user to specify a list of texture layers that will be used to generate the texture. These will be copied to the current project. You may add, change and delete from this list. You may also see a preview of the effect of each layer using the Preview button.

The user can also import and export .gts files from the layer list as you can in the Edit Texture Settings Dialog.

Lighting

This section controls all the settings relevant to the lighting of the terrain.

Check the Lighting option if you wish to light the generated terrain.

Light Direction: Allows the user to specify the light direction using x, y, z values. This can also be set by the sun position box.

Sun Direction: Click on the X, Z box to specify the direction of the light source. Use the Y to specify the height on the conceptual skydome.

Light Influence: Specifies how strong the light source is. Left is less powerful, right is more.

Shadows: Toggles whether overall texture has shadows placed on it based on the position of the light source.

Soft boundaries: When checked this softens ( smoothes ) the edges of the shadows on the texture. The user may specify the amount of softness using the slider.

Texture Preview

This tab allows the user to see the result of the overall texture generated from the texture layers and lighting options on the current terrain. Press the generate button to create the preview texture. A 3d View is also available once the preview has been created.


Alpha Maps

This allows the user to export the influence of each texture layer as an alpha map. This is where the intensity of the pixel relates to the strength of the blend in the overall texture generation.

Base Name: the name prefixed to each file exported

Directory: the folder where the files are to be exported.

Options

Blend in light map colour: only available when a light map has been generated by the texture generator and outputs the light map information into the alpha maps.

Clear intensity where alpha is zero: the alpha map has the RGB channels exported for simplified viewing. Checking this option, clears the RGB channels when the alpha is 0.

Create a Log file: creates a log of which files have been created and exported.

Export Textures: when checked will export the texture associated with each texture layer as a the alpha map is exported separate file in the specified folder. The format of these textures is specified in the File Type dialog.

Tile Options

The alpha map outputs can be split into a series of tiled alpha maps

Number in X: specifies how many tiles to split each alpha map into across its width.

Number in Y: specifies how many tiles to split each alpha map into across its breadth.


Tools

Terrain Tools

Geoscape3d uses various tools to "paint" the terrain onto the current heightmap. To activate a tool, select it from the toolbar or the menu and then move the mouse over the heightmap.

In the 2d view when you press the left or right mouse button the tool will activate and effect the pixels under the brush.

In the 3d view when you press the tool mouse button the tool will activate and effect the pixels under the tool marker. This button is mapped either to the left or right mouse button based on the current mouse settings.

The brush's extent is visible as a circle around the cursor. Holding the mouse button down and moving the mouse continues the tools effect, but the action depends on the mode the tools are in. In continuous mode the tool will alter all the pixels the mouse passes over, otherwise it will periodically update the pixels, so moving the mouse faster will spread out the effect. This setting can be altered in the Edit|Settings menu. Holding the mouse button down and not moving the mouse will cause the tool to continuously effect the same pixels.

The tools mostly use the concept of a current brush. This is a specified circle of pixels that, when the tool is activated, the tool effect is used. This is displayed on the 2d heightmap in the terrain editor window and the 3d view. All tools have a different set of options. For more information:

The tools are detailed in their own sections, please click on the appropriate tool below.

  • Build

  • Dig

  • Level

  • Smooth

  • Sharpen

  • Noise

  • Lines

  • Road

  • Selection Toolbar

  • Paint

  • AutoTerrain

Object Tools

These are the tools that edit the properties of inserted objects interactively.

  • Move

  • Rotate

  • Scale

  • Object Toolbar tools

When running any of the object tools, inserts can be selected at any time by clicking on them. If the mouse button is clicked and held and then the mouse is dragged, this will create a rectangle that will select all objects within this area. To select multiple inserts, hold the control key down while selecting and this will add to the current selection. To unselect one insert from the current selection, hold down the control key and click on the object you wish to remove from current object selection. Alternatively, the user may right-click on object in the project tree in the main editor and choose toggle selection.


Build

The build tool raises land.

Brush: The size of the brush affects the number of pixels that are affected when the tool is activated.

Strength: Determines how much the brush builds the land when the tool is activated.

Type: changes how the land is raised, whether smoothly, pointed or square topped. Alternatively, you may specify your own custom brush from the paint brush settings dialog

Fixed Height: locks the tool to a certain height level and then performs the brush action.

Back to tools


Dig

The dig tool lowers land.

Brush: The size of the brush affects the number of pixels that are affected when the tool is activated.

Strength: Determines how much the brush digs the land when the tool is activated.

Type: changes how the land is dug, whether smoothly, pointed or square topped. Alternatively, you may specify your own custom brush from the paint brush settings dialog

Fixed Height: locks the tool to a certain height level and then performs the brush action.

Back to tools


Level

The level tool sets the land the brush effects to a specified level.

Brush: The size of the brush affects the number of pixels that are affected when the tool is activated. Use the circles for a quick change in size.

Level Height: sets the height that all the pixels under the brush will be set to.

Is Absolute Height: when checked sets the pixels under the brush to be this height. When unchecked, sets the pixels under the brush to be locked to a level specified at the point of clicking plus the level height.

Back to tools


Smooth

The smooth tool reduces the angularity of the terrain under the brush.

Brush: The size of the brush affects the number of pixels that are affected when the tool is activated. Use the circles for a quick change in size.

Strength: specifies the amount of smoothing performed. 1.0 being full strength.

Back to tools


Sharpen

The sharpen tool increases the angularity of the area under the brush.

Brush: The size of the brush affects the number of pixels that are affected when the tool is activated. Use the circles for a quick change in size.

Strength: specifies the amount of smoothing performed. 1.0 being full strength.

Back to tools


Noise

The noise tool adds an element of randomness to the area affected by the brush.

Brush: The size of the brush affects the number of pixels that are affected when the tool is activated. Use the circles for a quick change in size.

Noise Level: alters the amount of randomness that the tool performs on the affected area.

Back to tools


Line Ramp

The line ramp tool alters a line of pixels between two specified points. Starting at the first points height it graduates the pixels to the second point's height, creating a ramp or bridge between the two points. After a line has been created, the line tool will use the final point of the last line as the start point of the next line, chaining the lines together.

Line Width: specifies how wide the line will be from point to point.

New Start: forces the line tool to create a new start point. Useful if you wish to start another set of lines that do not join the first set.

Back to tools


Road Tool

The road tools is used to cut roads through a terrain.

The road tool can be used in conjunction with the saved point group functionality to create masks which can then used to create a road surface texture. For an example, see the saved point group description.

Brush: The size of the brush affects the number of pixels that are affected when the tool is activated. Use the circles for a quick change in size.

Straight roads: when running the tool, the user selects two points on the terrain and a straight road is created between them. The path of the road is highlighted on the 2d view in main editor as a line. The tool will chain subsequent clicks together to form a continuous road section. To start a new section, restart the road tool.

Height Adjust: specifies how much to alter the terrain beneath the brush by to create the road.

Ramp mode: creates a level ramp between points on the road so that the created road moves smoothly across the landscape.

Smooth Edges: smoothes the edges of the road into the terrain based on the strength specified in the smooth edges edit box.

Back to tools


Selection Toolbar

The select tool allows the user to define an area as selected. All terrain building tools use this selection to limit their effects to the selected area. To use, select the appropriate mode and then click and drag on the 2d view in the editor to define the area you wish to use for selection. The selection is highlighted for the user to identify by a line boundary.

There are two modes of adding selected areas

Freehand: allows the user to draw the selection with the mouse and automatically closes the selection back to the first pixel selected.

Drag Rotate: specifies the angle to rotate the selected area when dragging it.

Rectangle: allows the users to click and drag a rectangle. Once the desired area is enclosed by the rectangle, let go of the mouse button and the selection will be set.

Drag Rotate: specifies the angle to rotate the selected area when dragging it.

  • Hold down the control key to remove from the current selection.
  • Hold down the shift key to add to the current selection.

Once an selection is defined, you may move the selected area by clicking and dragging within the selected area. This drag operation copies the selection to a new area on the terrain. This uses the drag rotate angle to determine the amount of rotation to perform on the area before the drag operation takes place.

Select All: selects all the heightmap.

Select None: clears all selections.

Select Invert: switches areas that were unselected to selected and vice versa.

Back to tools


Auto Terrain

The auto-terrain tool is used to generate realistic landscapes using the Perlin Noise Engine in Geoscape3d.

Press the Update Preview button, or F5 key, to regenerate the heightmap from the current settings. Pressing the Ok button places automatically generated terrain into the heightmap editor so the user may fine tune it with the landscaping tools.

Preview Options

Zoom Reset resets the preview to the full extents of the texture and light toggles on and off a light source for the preview. Turning the Mouse Wheel on the preview zooms in and out of the preview.

Presets

Presets allow the user to store a set of terrain settings so that the same terrain may be regenerated again. Choose from the preset list and press the load button or double click the item in the list to select that setting. This will also generate a preview of the terrain.

Use the delete button to remove a setting.

Textures

This tab allows you to select from a pre-defined texture setting that will specify which texture layers get placed into the current project.

Add Textures: allows the user to add one of the pre-created texture settings to the current terrain. Turning off this setting, means the auto-terrain tool will not create a default texture.

Category: Select the required category from the list box to see the pre-defined texture settings from that group appear in the listbox.

Preset Textures: Select from the list the required pre-defined texture settings for the new terrain.

Preview: Turn on to see a two-dimensional preview of the texture to be generated.

To set up the pre-defined textures, please use the Preset Terrain Textures dialog.

N.B. This will remove any existing texture settings from your current project.

Basic Settings

These settings are all the user needs to create terrain. A description of each follows:

Name: The name of the current settings selected.

Save: Lets the user save the current settings into the preset list. The user must specify a name. If the user has already selected a preset, keeping the name the same will overwrite the setting of the same name with the current settings in the dialog. The dialog will remember the last settings used even if they are not saved.

Terrain Types

Each type changes the algorithm that generates textures. The following types are available:

  • Smooth( Perlin )
  • Multi-Fractal
  • Turbulence
  • Ridged MF
  • Fractal Sum

Mode: This specifies how the current heightmap in the terrain editor will be affected by the newly generated heightmap.

The following options are available:

  • Replace - The current heightmap is totally replaced by the new terrain.
  • Add - Each pixel in the current heightmap has the value from the new terrain added to it.
  • Average - Each pixel in the current heightmap is averaged with the corresponding value from the new terrain.
  • Subtract - Each pixel in the current heightmap has the value from the new terrain subtracted from it.

Height Range: Specifies the how many heightmap units there are between the minimum to maximum height. Raising this makes the peaks and troughs much higher and deeper.

Regenerate Texture: When checked, the texture will automatically be regenerated from the current texture settings.

Seamless Tile: When checked, if you place the heightmap next to itself there will be no discontinuity between the shared edge.

Scale X: The larger the scale the more condensed the features are on the terrain.

Scale Y: The larger the scale the more condensed the features are on the terrain.

Shift X / Shift Y: To allow the user to create very large seamless terrains, tiles whose heights values at the edges match with the edges of the "neighbouring" tile. You can specify a notional "grid" position. So ( 0,0 ) will match to ( 0,1 ), ( 1,0 ) and so on.

Random Seed: Changing this alters the base value the terrain is generated from and therefore alters the generated terrain totally.

Displacement: Affects the severity of ridges. Smaller numbers mean gentler terrains.

Advanced: Takes the user to the advanced settings for the terrain generation.

Advanced Settings

These settings provide an extra level of control over the generator algorithms. Although a knowledge of Perlin Noise would be useful to understand how these settings work, it is not required to use the dialog.

Frequency: 1/ wavelength of the noise waves.

Persistence: A single number used to specify the amplitude of each frequency.

Octaves: The number of noise waves.

Offset: Determines the strength of the "multifractality".

Ridge Size: ( Ridged MF only ) The larger the number, the more ridges become pronounced.


Paint

The paint tool allows the user to manually edit the texture on the landscape to add detail or override the automatic generated texture. This tool uses a brush that consists of a pattern and a texture. These can be setup in the Paint Tool Settings dialog, which can be accessed by pressing the brush edit (...) button.

Brush: The size of the brush affects the number of pixels that are affected when the tool is activated. Use the circles for a quick change in size.

Brush Edit(...) Button: Activates the Paint Tool Settings dialog which allows the user to specify which brush is to be used for the tool.

Solid Colour: specifies the colour selection dialog to be used instead of a texture. This allows a specified colour to be painted on the texture.

Blend Strength: Determines how strongly the brush texture is blended with the existing texture when the tool is activated.

Back to tools


Paint Tool Settings

The paint tool uses a brush and texture pairing to paint on the terrain texture. This dialog allows the user to set up the brushes and textures to use with the paint tool.

Brushes

Brushes are held in groups. The group combo box above the brush list contains the list of brush groups. The groups may be edited by pressing the ... button next to the group combo box. This launches the brush group edit dialog. The brush list below this shows the brushes within this brush group. The user may add a new brush to the current group, change the currently selected brush or delete the select brush.

Textures

Textures are held in groups. The group combo box above the texture list contains the list of texture groups. The groups may be edited by pressing the ... button next to the group combo box. This launches the texture group edit dialog. The texture list below this shows the textures within this texture group. The user may add a new texture to the current group, change the currently selected texture or delete the select texture. When launched from the paint tool, an extra category, Current Texture Layers, is added from the current project and allows the user to paint with the textures from the texture layers.

Solid Colour

If the paint tool solid colour option is set then the user may pick a colour for use instead of a texture. The currently selected colour is previewed for the user.


Paint Brush

This dialog allows the user to configure a brush to use with the paint tool.

Name: The name of the brush

Description: A description of the brush

Load... button: Load an image that will represent the brush. Greyscale images work the best for this. You may load any colour image, but the colours will be averaged.


Brush Groups

This dialog allows the user to maintain the groups that are used to categorize brushes. The user may add, change and delete these groups.

Deleting a group will remove all the brushes within it.


Paint Texture

This dialog allows the user to configure a texture to use with the paint tool.

Name: The name of the texture

Description: A description of the texture

Load... button: Load the texture image

Save... button: Save the current texture to disk.

Seamless... button: Modify the current texture to the make seamless texture dialog.

Create... button: Create a new texture to use with the Geoscape3d texture creator.

Scaling

Each texture has a scale that is applied when the paint tool uses the texture for painting. The user may set this to a specific value, Manual Scale, or let Geoscape3d handle the scaling, Auto-Scale.


Texture Groups

This dialog allows the user to maintain the groups that are used to categorize textures. The user may add, change and delete these groups.

Deleting a group will remove all the textures within it.


Selected Inserts Properties

This dialog allows the user to alter the properties of the currently selected objects. This is useful if you wish to alter the properties of several objects at once.

Each field has a check box next to it. If it is checked, all the selected objects have the same value for this field. If is unchecked then the value is different for at least one of the currently selected objects.

If you check a field and enter a value, you are effectively setting the value to the specified value for ALL of the currently selected objects.

The values you can specify are as follows:

Name: Set the name of the selected inserts.

Text Label: Set the text label to be displayed in the 3d view of the selected inserts.

General

Object: refers to the object associated with the currently selected insert.

Position ( X, Y, Z ): this is the position in world co-ordinates of the currently selected inserts.

Rotation( Pitch, Yaw, Roll ): specifies the rotation when the currently selected inserts.

Fix To Terrain: specifies whether the the currently selected inserts will react to changes in the terrain and maintain its position relative to the terrain.

Casts Shadows ( Pro version only ): when checked, the the currently selected inserts will cast shadows on the terrain texture.

Dimensions

Width: the width of the currently selected inserts in world units

Height: the height of the currently selected inserts in world units

Depth: the depth of the currently selected inserts in world units

Scale: the scale of the currently selected inserts in world units. Altering this affects the width, height and depth of the insert.

User Data

Any rows that show are shared by the currently selected inserts. Individual inserts may have other data associated with them. Adding a row or deleting a row will affect all the currently selected inserts.


Move

Move Object Tool

Moves the currently selected objects

Mode: this allows the user to specify which axis the objects will move in

Plane: this allows the user to specify which plane the objects will move in. This sets the plane button on the set of mode buttons

Co-ordinates: which co-ordinate system to use for the move. World is the overall co-ordinate system, Local is relative to the objects, Parent is relative to the owning object. If any object does not have parent this defaults to the world co-ordinates system.

Lock Children: when checked, stops the children of the object being moved with their parent

Delta: allows the user to specify a value to move the object by

Apply: moves the objects by the delta value


Rotate

Rotate Object Tool

Rotates the currently selected objects

Mode: this allows the user to specify which axis the objects will rotate in

Plane: this allows the user to specify which plane the objects will rotate in. This sets the plane button on the set of mode buttons

Co-ordinates: which co-ordinate system to use for the rotation. World is the overall co-ordinate system, Local is relative to the objects, Parent is relative to the owning object. If any object does not have parent this defaults to the world co-ordinates system.

Lock Children: when checked, stops the children of the object being rotated with their parent

Delta: allows the user to specify a value to rotate the object by

Apply: rotates the objects by the delta value


Scale

Scale Object Tool

Scales the currently selected objects

Mode: this allows the user to specify which axis the objects will scale in

Plane: this allows the user to specify which plane the objects will scale in. This sets the plane button on the set of mode buttons

Co-ordinates: which co-ordinate system to use for the scale. World is the overall co-ordinate system, Local is relative to the objects, Parent is relative to the owning object. If any object does not have parent this defaults to the world co-ordinates system.

Lock Children: when checked, stops the children of the object being scaled with their parent

Delta: allows the user to specify a value to scale the object by

Apply: scales the objects by the delta value


Object Toolbar

Provides several useful actions to be performed on the currently selected inserts.

Move: runs the object move tool.

Rotate: runs the object rotate tool.

Scale: runs the object scale tool.

Level Under: forces the terrain beneath the object to be flattened

Extra Area: forces a specified extra amount of the area around the object to be flattened

Properties Selected: shows the Selected Inserts Properties dialog.

Snap to Terrain: places the bottom of the currently selected objects on the terrain

Delete Selected: deletes the currently selected inserts

Copy Selected: makes a copy of the currently selected inserts and selects the copies


Objects

Geoscape3d allows the user to place objects on to the terrain. There are two types of object:

  • Markers - shapes that may represent non-visual elements, such as sound spheres, spawn points and such.
  • Meshes ( Pro edition only ) - actual objects as they will appear on the terrain after export.

Objects are inserted into the terrain. Each object may have many inserts.


Markers

Geoscape3d allows the user to place markers on to the terrain. These objects may represent anything the user wishes, be it place markers, sound effects, spawn points and so on.

Name: the name of the marker. This will be the default name used for an inserts

File name: an optional filename to specify with the marker

User Data Template: the default user data template to be associated with any inserts

Shape: How the marker will appear. Choice of Cube, Sphere, Cone, Cylinder.

Colour: The colour of the marker

Alpha: The transparency of the marker. 1.0 is solid, 0 been fully transparent

Size: the size of object units of the marker. Inserts can be scaled against this value.


Inserts

Inserts are instances of objects that are actually on the terrain.

Each insert may be altered from the default object in terms of scale, but if the object is altered all the inserts will update to reflect the changes.

The Project Tree in the main editor contains a list of inserts. The list of inserts is hierarchical and each insert may have one parent insert. Also, inserts may be organised into convenient groups. Child inserts are then the responsibility of their parents when it comes to editing them.

Inserts can be fixed to the terrain, which means as the terrain is altered the object maintains its position relative to the ground. Inserts can be made invisible or visible.

Inserts can have user data associated with them. This is useful when exporting the project to another environment as data may be held against each insert. The default entries may stem from a user data template specified in its owning object properties. This is for convenience only as extra information per insert may also be stored.

Insert Selection

When running any of the object tools, inserts can be selected at any time by clicking on them. If the mouse button is clicked and held and then the mouse is dragged, this will create a rectangle that will select all objects within this area. To select multiple inserts, hold the control key down while selecting and this will add to the current selection. To unselect one insert from the current selection, hold down the control key and click on the object you wish to remove from current object selection. Alternatively, the user may right-click on object in the project tree in the main editor and choose toggle selection.


Insert Object

Add Insert

This dialog appears when entering a new insert on to the terrain.

Name: the name of the insert, defaults to the mesh name plus a numeral to make the insert name unique

Object: refers to the object associated with this insert.

User Data Template: specifies which template to use when adding this insert. The default is picked up from the user data template associated with the object. Changing this value will overwrite the values on the user data page.

General

Position ( X, Y, Z ): this is the position in world co-ordinates of the insert.

Rotation( Pitch, Yaw, Roll ): specifies the rotation when the insert is created.

Fix To Terrain: specifies whether the insert will react to changes in the terrain and maintain its position relative to the terrain.

Casts Shadows: when checked, the object will cast shadows on the terrain texture.

Dimensions

Width: the width of the insert in world units

Height: the height of the insert in world units

Depth: the depth of the insert in world units

Scale: the scale of the insert in world units. Altering this affects the width, height and depth of the insert.

User Data

Add custom data to the insert that can be accessed in export plugins. To add a new row, press the add button. To delete the current row, press the delete button and to edit entries double-click on the appropriate entry and the grid will enter editing mode.


Insert Properties

This dialog allows the user to edit the properties of the selected insert.

Name: the name of the insert, defaults to the mesh name plus a numeral to make the insert name unique

General

Object: refers to the object associated with this insert.

Position ( X, Y, Z ): this is the position in world co-ordinates of the insert.

Rotation( Pitch, Yaw, Roll ): specifies the rotation when the insert is created.

Fix To Terrain: specifies whether the insert will react to changes in the terrain and maintain its position relative to the terrain.

Casts Shadows: when checked, the object will cast shadows on the terrain texture.

Dimensions

Width: the width of the insert in world units

Height: the height of the insert in world units

Depth: the depth of the insert in world units

Scale: the scale of the insert in world units. Altering this affects the width, height and depth of the insert.

User Data

Add custom data to the insert that can be accessed in export plugins. To add a new row, press the add button. To delete the current row, press the delete button and to edit entries double-click on the appropriate entry and the grid will enter editing mode.


Groups

Groups allow the user to organise a set of inserts into a container without having to create another object insert. Using groups allows the user to hide or show sets of objects with only one click of the mouse or to move them as a whole.

Groups can contain user information much as inserts can.

The visibility of groups can be set making it easy to hide or show multiple inserts within these groups.

When adding a group the current object selection can be placed into the group by selecting Move Selected Inserts into Group.


Multiple Object Insert

Multiple Object Placement

Geoscape3d allows the user to place a set of random inserts on to an specified area of the terrain. For example, this is useful for quickly creating a forest. This dialog also takes account of the current selection when placing objects.

Name: the base name of each insert created, defaults to the mesh name plus a numeral to make the insert name unique

Object: refers to the object associated with this insert.

User Data Template: specifies which template to use when adding this insert. The default is picked up from the user data template associated with the object. Changing this value will overwrite the values on the user data page.

Seed: the seed value the random number generator uses to distribute the objects.

General

Spacing X: how far apart on in world units the objects will be on the x axis.

Spacing Z: how far apart on in world units the objects will be on the z axis.

Position Variance X: how much the position will vary between inserts being placed on the x axis.

Position Variance Z: how much the position will vary between inserts being placed on the z axis.

Rotation( Pitch, Yaw, Roll ): specifies the rotation when the insert is created.

Align to slope: will set the rotation so the object will be perpendicular to the slope

Rotation Variance ( Pitch, Yaw, Roll ): specifies how much the rotation may alter by when each insert is created.

Fix To Terrain: specifies whether the insert will react to changes in the terrain and maintain its position relative to the terrain.

Check For Collisions: when checked, the tool will avoid objects that overlap each other.

Dimensions

Width: the width of the insert in world units

Height: the height of the insert in world units

Depth: the depth of the insert in world units

Scale: the scale of the insert in world units. Altering this affects the width, height and depth of the insert.

Scale Variance: how much each insert will vary in scale when created

Constraints

Altitude Constraints: when checked, forces the inserts to only be created in a specified height range.

Min: minimum height value to insert at

Max: maximum height value to insert at

Slope Constraints: when checked, forces the inserts to only be created in a specified slope range.

Min: minimum slope angle to insert at

Max: maximum slope angle to insert at

Aspect Constraints: when checked, forces the inserts to only be created in a specified aspect range. That is a particular direction and arc from that direction. For example, this is useful for making objects only appear on the south side of hills

Direction: how wide an arc that objects are considered to be inserted

Angle Range:

The previews are to allow the user quick and informative feedback on the selected constraints.

User Data

This will add custom data to each insert which can then be accessed in export plugins. To add a new row, press the add button. To delete the current row, press the delete button and to edit entries double-click on the appropriate entry and the grid will enter editing mode.


User Data Templates

This dialog allows the user to setup and store different user data templates for use with objects. Each object can be associated with a template, so that when an insert is created, that insert gets all the rows in the template automatically. This allows the user to add commonly entered data

Using this dialog allows you to add, change and delete a user data template.


User Data Template

This dialog allows a user to set up a user data template that can be associated with an object and subsequent insert will receive the keys and values from the template.

Name: specifies the name of the current template

Description: a description of the current template

Keys / Values List: Allows the user to Add and Delete rows and enter the required Key / Value pairings for the template.


Plugin SDK

Users can customise the functionality of Geoscape3d to enhance the features available. There are three types of plugin.

  • Import - This allows custom terrain and texture data to be imported into the current project.
  • Export - This allows the heightmap and texture to be exported in any format the user requires.
  • Heightmap Function - This runs a global function on the heightmap. This means you can create a custom tool to run on the entire heightmap.

Plugins can be installed by copying the gpi file into the folder {Geoscape3d Installation Folder}\Plugins. Geoscape3d will scan this directory on startup for gpi files and place them on the menus for ease of access. You can see which plugins are loaded from the Tools|Plugins... menu option.

Plugins are created as Windows DLLs. It should be possible with any compiler that can generate Windows DLLs with exported functions to create plugins. Deliverance Software have tested Borland 5.02, Borland CBuilder6, Borland free compiler, Delphi and Visual C++ 2003 with the SDK.

To see example projects, please download the Plugin SDK from Deliverance Software Downloads Page.

WARNING

Please note that a plugin could contain malicious code that could damage your computer or the data on your computer. Before installing a plugin, please make sure you can trust both the author and the distributor of the plugin.


Tutorial

Basic Terrain Editing Tutorial

This will guide you through creating your first landscape in Geoscape3d. This will guide you through creating an island with a volcano.

1) Experiment with moving around the 2d heightmap view using the Zoom In / Zoom out and Pan buttons. This will allow you to get more accurate results when you need to fine tune the heightmap features. If you have a mouse wheel, this will allow you to quickly zoom in and out of the view. Also, try moving around the 3d view. Press the left mouse button down on the 3d view and move the mouse to allow you to alter the angle of the view. To move forward and backwards, use the up and down cursor keys. When the cursor is over the 3d view, use the mouse wheel to move forward and backwards. The left and right cursor keys move the view left and right.

2) Switch to wireframe mode. The default landscape is flat, so first of all we need to raise some land. Run the build tool and set the properties to these settings.

brush: 75 grid units

strength: 100 grid units

type: square brush

Now around the centre of the heightmap, "paint" the terrain on until you have an island by holding down the left mouse button and moving around. You should end up with something that looks like this.

2) Now we have some land, we want to create a volcano. Choose the part of the island to place the volcano and run the build tool, if it is not already running. Press and hold the left mouse button but do not move it the build tool on that point. After a slight delay, this will raise the area under the brush upwards. Raise it a 1/3 of the height of your volcano and release the button. Move the brush to the side of the this point so that it overlaps the original point and repeat. Try this several times until you have a volcano appearing.

If you make a mistake, use the undo option on the edit menu ( Ctrl+Z ) to remove the erroneous terrain and try again. You should have something that looks like this:

3) We now need to make the terracing on the volcano less harsh, so we run the smooth tool with a brush size of 25 grid units. Press the left mouse button down and move the mouse around the slopes of the volcano and you should get a result like this.

4) Now we must create the crater. So, run the dig tool and select a small brush size, say 10 grid units and excavate the crater from the top of the volcano. Don't forget you can zoom in on the heightmap to get more accurate results and you may wish to switch to shaded view to give you better feedback.

5) Now we can create the texture for the terrain. Click on the Edit Texture Settings... button. You should see this dialog.

Press the Import button and select the file "grassyMountains.gts" in the install directory of Geoscape3d. This will give you a list of textures to use. Go to the Overall Texture tab at the top and press the Generate button. Then when the texture is generated, press the Ok button at the bottom and you can now see how easy it is to create terrain in Geoscape3d.


Registration

The trial version is fully featured, but output will have "Geoscape3D" written on both the texture and the terrain and several save as dialogs are disabled. To remove this, you will need a licence key. This can be purchased online from Deliverance Software and emailed directly to you.

Please run Geoscape3d, then use the Help menu and click on Register for further information.

N.B. You will need a "System Code" for use in the purchase process.

This code will tie the licence key to a single computer, so please generate this from the PC that you wish to run Geoscape3d on. The licence key will not run on any other computer.

Failure to enter this correctly when purchasing the licence key will result in a delay of the licence key being sent to you.

Problems with Geoscape3d when adding new hardware or changing computer

If you alter certain hardware or change computer, Geoscape3d may stop working, please do not hesitate to contact Deliverance Software and we shall be pleased to issue you a new licence key.


Geoscape3d Software Licence Agreement

1. Distribution

This trial software product may be freely distributed, provided that:

1. Such distribution includes only the original archive supplied by Deliverance Software. You may not alter, delete or add any files in the distribution archive.

2. The distribution does not include a registration code. In particular, you may not distribute a registered piece of software.

3. No money is charged to the person receiving the software, beyond reasonable cost of packaging and other overhead.

For information about redistribution of this software product, please email
sales@deliverancesoftware.co.uk

2. Licence

By receiving and/or using this software product, you accept the following Evaluation and Registered User Agreement. This agreement is a binding legal agreement between Deliverance Software and the purchasers, users or evaluators of Deliverance Software's software and products. IF YOU DO NOT INTEND TO HONOUR THIS AGREEMENT, TERMINATE THE SOFTWARE INSTALLATION NOW.

3. Evaluation (Unregistered) and Registered User Agreement

3.1. Unregistered trial use

You may evaluate the trial program but to activate the protected features, you must register the program with Deliverance Software. You may allow other users to evaluate copies of the unregistered trial. All evaluation users are subject to the terms of this agreement.

3.2. Usage and distribution restrictions

The evaluator/user/buyer/owner may not use or distribute Deliverance Software’s software for any unlawful purpose. Distribution of Deliverance Software’s products together with pornographic material is prohibited. The evaluator/user/buyer/owner is not allowed to attempt to reverse engineer, disassemble or decompile Deliverance Software's Software and products.

3.3 Copyright restriction

Deliverance Software's name and any logo or graphics file that represents our software may not be used in any way to promote products developed with our software without permission from Deliverance Software. All parts of Deliverance Software's products are copyright protected. No program, code, part, image, video clip, audio sample, text or computer generated sequence of images may be copied or used in any way by the user except as intended within the bounds of the single user program.

3.4. Limitation of responsibility

The evaluator/user/buyer/owner of Deliverance Software's software will indemnify, hold harmless, and defend Deliverance Software against lawsuits, claims, costs associated with defence or accusations that result from the use of Deliverance Software's software. Deliverance Software is not responsible for any damages whatsoever, including loss of information, interruption of business, personal injury and/or any damage or consequential damage without limitation, incurred before, during or after the use of our products.
Our entire liability, without exception, is limited to the customers' reimbursement of the purchase price of the software (maximum being the suggested retail price as listed by Deliverance Software) in exchange for the return of the product, all copies, registration papers and manuals, and all materials that constitute a transfer of ownership from the customer back to Deliverance Software.

3.5. Limited Warranty and Disclaimer of Warranty

THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. FURTHER, DELIVERANCE SOFTWARE DOES NOT WARRANT, GUARANTEE OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF USE, OF THE SOFTWARE OR WRITTEN MATERIALS IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE. THE ENTIRE RISK AS TO THE RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. IF THE SOFTWARE IS DEFECTIVE YOU, AND NOT DELIVERANCE SOFTWARE OR ITS DEALERS, DISTRIBUTORS, AGENTS, OR EMPLOYEES, ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION.

THE ABOVE IS THE ONLY WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, THAT IS MADE BY DELIVERANCE SOFTWARE ON THIS DELIVERANCE SOFTWARE PRODUCT. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY DELIVERANCE SOFTWARE, ITS DEALERS, DISTRIBUTORS, AGENTS, OR EMPLOYEES SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY AND YOU MAY NOT RELY ON ANY SUCH INFORMATION OR ADVICE. YOU MAY HAVE OTHER RIGHTS WHICH VARY FROM STATE TO STATE. NEITHER DELIVERANCE SOFTWARE NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THIS PRODUCT SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, AND THE LIKE) ARISING OUT OF THE USE OR INABILITY TO USE SUCH PRODUCT EVEN IF DELIVERANCE SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

This Limited Warranty shall be governed and construed in accordance with the laws of England.

3.6. Licenced software restrictions

3.6.1. Each registered copy of Deliverance Software's software may be used in only one single location by one user. Use of the software means that you have loaded the program and run it or have installed the program onto a computer. If you install the software onto a multi-user platform or network, each and every individual user of the software must be registered separately. You may make an unlimited number of copies of the registered software for backup purposes, providing you only have one copy installed on one computer being used by one person. If any person other than yourself uses Deliverance Software's software registered in your name, regardless of whether it is at the same time or different times, then this agreement is being violated. The sale of and or distribution of registered copies of this software is strictly forbidden. It is a violation of this agreement to loan, rent, lease, borrow, or transfer the use of registered copies of Deliverance Software's Software products.

3.6.2. All rights of any kind in the Software which are not expressly granted in this licence are entirely and exclusively reserved to and by Deliverance Software.

3.6.3. The Software includes the ability to create project files and texture files. These project files and texture files may be freely distributed, without royalty, to anyone.

4. Upgrades, Maintenance and Support

During the term of this Agreement, Deliverance Software is under no obligation to provide upgrades, maintenance, or installation for the Software. Deliverance Software may provide support for the Software but reserves the right to revoke or modify support provided for the Software at any time, for any or no reason.

5. Miscellaneous

This Licence shall be governed and construed in accordance with the laws of England and shall benefit Deliverance Software, its successors and assigns.